Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.engine
Interface JRAlignment

All Superinterfaces:
  JRStyleContainer

All Known Subinterfaces:
  JRImage, JRPrintImage, JRPrintText, JRStaticText, JRTextElement, JRTextField

All Known Implementing Classes:
  JRBaseImage, JRBasePrintImage, JRBasePrintText, JRBaseStaticText, JRBaseTextElement, JRBaseTextField, JRDesignImage, JRDesignStaticText, JRDesignTextElement, JRDesignTextField, JRFillImage, JRFillStaticText, JRFillTextElement, JRFillTextField, JRRecordedValuesPrintImage, JRRecordedValuesPrintText, JRTemplateImage, JRTemplatePrintImage, JRTemplatePrintText, JRTemplateText

    public interface JRAlignment

extends JRStyleContainer

An interface that defines constants useful for alignment. All report elements that can be aligned in some way implement this interface.

Version:
  $Id: JRAlignment.java 3419 2010-02-18 08:16:30Z teodord $
Author:
  Teodor Danciu (teodord@users.sourceforge.net)

Field Summary
`static byte` | `HORIZONTAL_ALIGN_CENTER` Deprecated. Replaced by `HorizontalAlignEnum.CENTER`.
`static byte` | `HORIZONTAL_ALIGN_JUSTIFIED` Deprecated. Replaced by `HorizontalAlignEnum.JUSTIFIED`.
`static byte` | `HORIZONTAL_ALIGN_LEFT` Deprecated. Replaced by `HorizontalAlignEnum.LEFT`.
`static byte` | `HORIZONTAL_ALIGN_RIGHT` Deprecated. Replaced by `HorizontalAlignEnum.RIGHT`.
`static byte` | `VERTICAL_ALIGN_BOTTOM` Deprecated. Replaced by `VerticalAlignEnum.BOTTOM`.
`static byte` | `VERTICAL_ALIGN_JUSTIFIED` Deprecated. Replaced by `VerticalAlignEnum.JUSTIFIED`.
`static byte` | `VERTICAL_ALIGN_MIDDLE` Deprecated. Replaced by `VerticalAlignEnum.MIDDLE`.
`static byte` | `VERTICAL_ALIGN_TOP` Deprecated. Replaced by `VerticalAlignEnum.TOP`.

Method Summary
`byte` | `getHorizontalAlignment()` Deprecated. Replaced by `getHorizontalAlignmentValue()`.
`HorizontalAlignEnum` | `getHorizontalAlignmentValue()` Gets the text horizontal alignment.
`java.lang.Byte` | `getOwnHorizontalAlignment()` Deprecated. Replaced by `getOwnHorizontalAlignmentValue()`.
`HorizontalAlignEnum` | `getOwnHorizontalAlignmentValue()`
`java.lang.Byte` | `getOwnVerticalAlignment()` Deprecated. Replaced by `getOwnVerticalAlignmentValue()`.
`VerticalAlignEnum` | `getOwnVerticalAlignmentValue()`
`byte` | `getVerticalAlignment()` Deprecated. Replaced by `getVerticalAlignmentValue()`.
`VerticalAlignEnum` | `getVerticalAlignmentValue()` Gets the text vertical alignment.
`void` | `setHorizontalAlignment(byte horizontalAlignment)` Deprecated. Replaced by `setHorizontalAlignment(HorizontalAlignEnum)`.
`void` | `setHorizontalAlignment(java.lang.Byte horizontalAlignment)` Deprecated. Replaced by `setHorizontalAlignment(HorizontalAlignEnum)`.
`void` | `setHorizontalAlignment(HorizontalAlignEnum horizontalAlignment)` Sets the text horizontal alignment.
`void` | `setVerticalAlignment(byte verticalAlignment)` Deprecated. Replaced by `setVerticalAlignment(VerticalAlignEnum)`.
`void` | `setVerticalAlignment(java.lang.Byte verticalAlignment)` Deprecated. Replaced by `setVerticalAlignment(VerticalAlignEnum)`.
`void` | `setVerticalAlignment(VerticalAlignEnum verticalAlignment)` Gets the text vertical alignment.

Methods inherited from interface net.sf.jasperreports.engine.JRStyleContainer
`getDefaultStyleProvider, getStyle, getStyleNameReference`

Field Detail

### HORIZONTAL_ALIGN_LEFT

    static final byte HORIZONTAL_ALIGN_LEFT

  Deprecated. Replaced by `HorizontalAlignEnum.LEFT`.
  See Also:
    Constant Field Values

### HORIZONTAL_ALIGN_CENTER

    static final byte HORIZONTAL_ALIGN_CENTER

  Deprecated. Replaced by `HorizontalAlignEnum.CENTER`.
  See Also:
    Constant Field Values

### HORIZONTAL_ALIGN_RIGHT

    static final byte HORIZONTAL_ALIGN_RIGHT

  Deprecated. Replaced by `HorizontalAlignEnum.RIGHT`.
  See Also:
    Constant Field Values

### HORIZONTAL_ALIGN_JUSTIFIED

    static final byte HORIZONTAL_ALIGN_JUSTIFIED

  Deprecated. Replaced by `HorizontalAlignEnum.JUSTIFIED`.
  See Also:
    Constant Field Values

### VERTICAL_ALIGN_TOP

    static final byte VERTICAL_ALIGN_TOP

  Deprecated. Replaced by `VerticalAlignEnum.TOP`.
  See Also:
    Constant Field Values

### VERTICAL_ALIGN_MIDDLE

    static final byte VERTICAL_ALIGN_MIDDLE

  Deprecated. Replaced by `VerticalAlignEnum.MIDDLE`.
  See Also:
    Constant Field Values

### VERTICAL_ALIGN_BOTTOM

    static final byte VERTICAL_ALIGN_BOTTOM

  Deprecated. Replaced by `VerticalAlignEnum.BOTTOM`.
  See Also:
    Constant Field Values

### VERTICAL_ALIGN_JUSTIFIED

    static final byte VERTICAL_ALIGN_JUSTIFIED

  Deprecated. Replaced by `VerticalAlignEnum.JUSTIFIED`.
  See Also:
    Constant Field Values

Method Detail

### getHorizontalAlignment

    byte getHorizontalAlignment()

  Deprecated. Replaced by `getHorizontalAlignmentValue()`.

### getOwnHorizontalAlignment

    java.lang.Byte getOwnHorizontalAlignment()

  Deprecated. Replaced by `getOwnHorizontalAlignmentValue()`.

### getHorizontalAlignmentValue

    HorizontalAlignEnum getHorizontalAlignmentValue()

  Gets the text horizontal alignment.

  Returns:
    a value representing one of the horizontal alignment constants in `HorizontalAlignEnum`

### getOwnHorizontalAlignmentValue

    HorizontalAlignEnum getOwnHorizontalAlignmentValue()

### setHorizontalAlignment

    void setHorizontalAlignment(byte horizontalAlignment)

  Deprecated. Replaced by `setHorizontalAlignment(HorizontalAlignEnum)`.

### setHorizontalAlignment

    void setHorizontalAlignment(java.lang.Byte horizontalAlignment)

  Deprecated. Replaced by `setHorizontalAlignment(HorizontalAlignEnum)`.

### setHorizontalAlignment

    void setHorizontalAlignment(HorizontalAlignEnum horizontalAlignment)

  Sets the text horizontal alignment.

  Parameters:
    `horizontalAlignment` - a value representing one of the horizontal alignment constants in `HorizontalAlignEnum`

### getVerticalAlignment

    byte getVerticalAlignment()

  Deprecated. Replaced by `getVerticalAlignmentValue()`.

### getOwnVerticalAlignment

    java.lang.Byte getOwnVerticalAlignment()

  Deprecated. Replaced by `getOwnVerticalAlignmentValue()`.

### getVerticalAlignmentValue

    VerticalAlignEnum getVerticalAlignmentValue()

  Gets the text vertical alignment.

  Returns:
    a value representing one of the vertical alignment constants in `VerticalAlignEnum`

### getOwnVerticalAlignmentValue

    VerticalAlignEnum getOwnVerticalAlignmentValue()

### setVerticalAlignment

    void setVerticalAlignment(byte verticalAlignment)

  Deprecated. Replaced by `setVerticalAlignment(VerticalAlignEnum)`.

### setVerticalAlignment

    void setVerticalAlignment(java.lang.Byte verticalAlignment)

  Deprecated. Replaced by `setVerticalAlignment(VerticalAlignEnum)`.

### setVerticalAlignment

    void setVerticalAlignment(VerticalAlignEnum verticalAlignment)

  Gets the text vertical alignment.

  Parameters:
    `verticalAlignment` - a value representing one of the vertical alignment constants in `VerticalAlignEnum`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com